nfs-ls
1
nfs-ls
nfs-ls: list servers, exports and directories

# nfs-ls

Utility to list NFS servers, exports and directories

    		nfs-ls [ OPTIONS ] <NFS-URL>

    		nfs-ls
    		-R --recursive
    		-s --summary
    		-D --discovery
    		-? --help
    		--usage

## DESCRIPTION

nfs-ls is a utility to list NFS servers, exports or directories.

Example: List the content of a directory on the NFS server

    $ nfs-ls nfs://127.0.0.1/data/tmp
    -rwxrwxr-x  1  1000  1000      1190802 a.out
    -rwxr-xr-x  1  1000  1000           13 foo123.copy
    -rwxrwxrwx  1  1000  1000            8 foo123.writtenx

## OPTIONS

-s --summary

  Print a summary line at the end of output.

-R --recursive

  Recursive listing of the specified URL.

-D --discovery;

  This option is used to discover local NFS servers and to list the exports for specific servers.

  When used with the 'nfs://' URL the command will try to detect all local NFS servers and will list their IPs.

  When used with a 'nfs://server' the command will list all the exports on the specified server.

  Example: Discover and list all local NFS servers

      $ nfs-ls -D nfs://
      nfs://10.10.10.10
      nfs://10.0.0.10

  Example: List the exports for a server

      $ nfs-ls -D nfs://10.10.10.10
      nfs://10.10.10.10/foo
      nfs://10.10.10.10/bar

-? --help

  Display basic help text.

--usage

  Display basic usage text.

## SEE ALSO